"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("../base");
const util_1 = require("../util");
const run_1 = require("./run");
class Build extends base_1.default {
    async run() {
        const { flags } = this.parse(Build);
        const list = util_1.default.restoreFlags(flags);
        await util_1.default.asyncExec('rm -rf .rde');
        await run_1.default.run(['build', ...list]);
    }
}
Build.examples = [
    '$ rde build',
];
Build.flags = Object.assign({}, base_1.default.flags, run_1.default.flags);
exports.default = Build;
