import Base from '../base';
export default class Create extends Base {
    static description: string;
    static examples: string[];
    static flags: {
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    name: string;
    framework: string;
    rdc: string;
    rdcRepo: string;
    preInit(): Promise<{
        verbose: boolean;
    }>;
    initialize(): Promise<void>;
    preRun(): Promise<void>;
    run(): Promise<void>;
    postRun(): Promise<void>;
    ask(): Promise<void>;
}
