import { flags } from '@oclif/command';
import Base from '../base';
export default class Publish extends Base {
    static examples: string[];
    static flags: {
        increment: flags.IOptionFlag<string>;
        preid: flags.IOptionFlag<string>;
        tag: flags.IOptionFlag<string>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    level: string;
    preid: string;
    tag: string;
    rdcConf: RdcConf;
    rdc: string;
    preInit(): Promise<{
        increment: string;
        preid: string;
        tag: string;
        verbose: boolean;
    }>;
    initialize(): Promise<void>;
    run(): Promise<void>;
    postRun(): Promise<void>;
}
